/* string は C++ STL で定義されたクラスであり，length() などのメンバ関数を持つ
 $ g++ strTest.cpp
 $ ./a.out
 how many elements in str?  3
 length of str[0]=4
 length of str[1]=6
 length of str[2]=6
 vec.0 = cake
 vec.1 = cheese
 vec.2 = cherry
*/

#include <iostream>
#include <fstream>
#include <string>
#include <vector>

using namespace std;

int main(int arg, char *argv[]){

  string str[] = {"cake", "cheese", "cherry"};
  int x;

  cout << "how many elements in str?  " << (x = sizeof(str)/sizeof(str[0])) << endl;

  for(int i = 0; i < x; i++){
	cout << "length of str[" << i << "]=" << str[i].length() << endl; 
  }

  // vector クラスを使ってみる

  vector<string> vec;

  vec.push_back("cake");
  vec.push_back("cheese");
  vec.push_back("cherry");

  // while(vec.size())でも良いが iterator を使うと
  x = 0;
  vector<string>::iterator pv = vec.begin();
  while(pv != vec.end()){
	cout << "vec." << x++ << " = " << *pv++ << endl;
  }
  
  return 0;  

}
  
